Bug 18169 - ipchains starts before network
Summary: ipchains starts before network
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ipchains   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-03 02:56 UTC by Seth Heckard
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-03 17:47:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Seth Heckard 2000-10-03 02:56:44 UTC
S08ipchains starts before S10network.  if you change S08 to S11ipchains so
that it starts after network, it reverts back to S08ipchains after a
reboot.

Comment 1 Seth Vidal 2000-10-03 03:28:26 UTC
ipchains are supposed to start before the network - so you have NO time of a
potential break-in occuring (ie: the time b/t the network coming up and ipchains
being setup)

this is normal on ALL Systems - if you're putting domain names in your ipchains
then you've made a mistake and need to re-think configuring them.



Comment 2 Nalin Dahyabhai 2000-10-06 02:28:25 UTC
Seth is correct; setting up firewall rules after network interfaces come up (or
more importantly, after network services begin to be started) creates a small
window of opportunity which shouldn't exist.


Note You need to log in before you can comment on or make changes to this bug.